Bug 587798 - 3.1 Product Browser needs to handle multiple release versions as mentioned in 1.1.6 to 1.1.8
3.1 Product Browser needs to handle multiple release versions as mentioned in...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Product Browser (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
Lukáš Petrovický
:
Depends On: 584956
Blocks: JIRABZ 584951 587789 694047
  Show dependency treegraph
 
Reported: 2010-04-30 17:36 EDT by David Lawrence
Modified: 2014-10-12 18:46 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-30 02:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2010-04-30 17:36:05 EDT
When Bugzilla is able to support multiple affected versions, the product browser will need to be updated to support displaying the lists properly. \

Thoughts:
If a bug is in multiple versions will it be once for each version in the version tables?
Comment 3 Simon Green 2011-02-09 06:22:25 EST
Hi Kevin,

When Noura implemented the target release code (bug 584956) she had a one-to-one relationship between bugs and releases (using the bugs.release column). Unfortunately this needs to be a many to many relationship (https://bugzilla.redhat.com/show_bug.cgi?id=584956#c23)

I see two possible ways to solve this

(1) Add a new joining table to create a many to many relationship (and remove bugs.release column) and make the necessary changes to the UI.

(2) Hack together a new custom field, and fake the changes in the UI.

To me solution (1) is a little extra work, but is going to much more maintainable in the long run. What are your thoughts?

  -- simon
Comment 4 Simon Green 2011-02-09 06:49:42 EST
Just to clarify the new column was actually bugs.target_release (not bugs.release as mentioned above)
Comment 5 Kevin Baker 2011-02-09 17:39:25 EST
(In reply to comment #3)
> I see two possible ways to solve this

agree option (1) is the better. Please create an upstream bug and attach our patch.
Comment 8 Simon Green 2011-02-23 06:51:03 EST
Bugfix (showing the correct information for those that cannot edit bugs, and fixes for the import scripts.

$ svn commit Bugzilla bugzilla.spec.in template/
Sending        Bugzilla/Bug.pm
Sending        Bugzilla/Migrate/JIRA.pm
Sending        Bugzilla/Migrate.pm
Sending        bugzilla.spec.in
Sending        template/en/default/bug/edit.html.tmpl
Transmitting file data .....
Committed revision 2362.
Comment 10 Simon Green 2011-02-23 07:00:00 EST
This code is now live on bz-web2-test.d.r.c. The import that I am currently doing will populate this field.

  -- simon
Comment 11 Simon Green 2011-02-23 07:01:32 EST
kbaker: Regarding creating a bug and submitting it upstream, are Mozilla still accepting patches for new functionality for bugzilla 3.6? Or are we best to wait until we migrate to 4.0?
Comment 12 Len DiMaggio 2011-03-09 13:09:57 EST
Clean-up task from the March 9 2011 Bugzilla / BRMS Pilot Meeting

This bugzilla has been marked as ON_QA - we need to verify that the changes made to https://bz-web2-test.devel.redhat.com/ are acceptable and that this bugzilla can be closed. Please verify the change and close (or re-open) this bugzilla by March 15 2011. Thx!
Comment 13 Lukáš Petrovický 2011-03-10 09:53:37 EST
I'm sending this back to ON_DEV. The "Version" field doesn't accept two different versions, as evidenced by https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=680246 (When submitting 5.0.2 and 5.1.0.GA, only 5.0.2 is selected after the form is refreshed.)

Also, this is a problem for the data import - the JIRA in question has two versions in the "Affects" and this bug only displays one.
Comment 17 Lukáš Petrovický 2011-05-10 09:55:54 EDT
The "Target release" isn't copied properly, as evidenced in
https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=713079. While the original JIRA has "One off releases" there, in Bugzilla nothing is selected.

The same issue appears here also:
https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=BRMS-564
The difference is that this bug is supposed to have multiple "Target release" selected. For that reason, it is directly related to this bug.

Returning to development as it is not possible to verify this.
Comment 18 Simon Green 2011-05-11 08:41:03 EDT
This will be fixed when the current migration import is complete on bz-web2-test.d.r.c.
Comment 19 Lukáš Petrovický 2011-05-16 08:22:57 EDT
Please see:
https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=730537

I updated it so that it has three values selected in the "Version" field - "5.1.0.GA", "BRMS 5.1.1.GA" and "BRMS 5.2.0.GA".

However, in the product browser (https://bz-web2-test.devel.redhat.com/page.cgi?id=browse.html&tab=components&product=JBoss+Enterprise+BRMS+Platform&bug_status=all#version), the following is not even listed: "BRMS 5.1.1.GA" 

When I click on "BRMS 5.2.0.GA", the bug in question does not appear on that list.

Assigning back to Simon.
Comment 20 Simon Green 2011-05-18 08:58:18 EDT
(In reply to comment #19)
> However, in the product browser
> (https://bz-web2-test.devel.redhat.com/page.cgi?id=browse.html&tab=components&product=JBoss+Enterprise+BRMS+Platform&bug_status=all#version),
> the following is not even listed: "BRMS 5.1.1.GA" 
> 
> When I click on "BRMS 5.2.0.GA", the bug in question does not appear on that
> list.

Both issues are fixed.

> Assigning back to Simon.

Marking bug as ON_QA.

  -- simon
Comment 21 Simon Green 2011-05-30 02:39:35 EDT
This change went live as part of the updated last Thursday (EDT).

  -- simon

Note You need to log in before you can comment on or make changes to this bug.